cURL
curl --request GET \
--url https://sigmaprod.sabipay.com/api/v1/upload \
--header 'apiKey: <api-key>' \
--header 'apiSecret: <api-key>'import requests
url = "https://sigmaprod.sabipay.com/api/v1/upload"
headers = {
"apiKey": "<api-key>",
"apiSecret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>', apiSecret: '<api-key>'}};
fetch('https://sigmaprod.sabipay.com/api/v1/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Signed url for upload generated successfully",
"data": {
"key": "2026-06-11/42bcf3ad-8b1f-4f3d-a4fb-35bf829f9db1.gz",
"url": "https://sigma-upload.s3.us-east-2.amazonaws.com/2026-06-11/42bcf3ad-8b1f-4f3d-a4fb-35bf829f9db1.gz?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Signature=sample"
}
}{
"error": 400,
"message": "Invalid request payload: transactionData.reference is required"
}Transaction Monitoring
Upload Data
GET api/v1/upload
cURL
Query Parameters
Type of the file to be uploaded
Example:
"gz"
Access level of the uploaded file
Example:
"private"
⌘I